<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: KGraphInterface Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>KGraphInterface Class Reference</h1><!-- doxytag: class="KGraphInterface" -->Application Shell.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="kgraphinterface_8h-source.html">kgraphinterface.h</a>&gt;</code>
<p>
<a href="classKGraphInterface-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterface.html#c71f9cbdca06084e6924cf4426f90eff">KGraphInterface</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterface.html#dfb364f37d13c1ef372df90818d4e2c0">~KGraphInterface</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterface.html#a3b49ca6ef5418039c0e4674fa320d8e">load</a> (const KURL &amp;url)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterface.html#76182cd4faa12c4142979e6c773483de">saveProperties</a> (KConfig *)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterface.html#65cabf77a7b059f9811b5ab291db475a">readProperties</a> (KConfig *)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Application Shell. 
<p>
This is the application "Shell". It has a menubar, toolbar, and statusbar but relies on the "Part" to do all the real work.<p>
<dl compact><dt><b>Author:</b></dt><dd>Schpilka Yannick &lt;schpilka&gt; </dd></dl>
<dl compact><dt><b>Version:</b></dt><dd>0.1 </dd></dl>

<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c71f9cbdca06084e6924cf4426f90eff"></a><!-- doxytag: member="KGraphInterface::KGraphInterface" ref="c71f9cbdca06084e6924cf4426f90eff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KGraphInterface::KGraphInterface           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default Constructor 
</div>
</div><p>
<a class="anchor" name="dfb364f37d13c1ef372df90818d4e2c0"></a><!-- doxytag: member="KGraphInterface::~KGraphInterface" ref="dfb364f37d13c1ef372df90818d4e2c0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KGraphInterface::~KGraphInterface           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default Destructor 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a3b49ca6ef5418039c0e4674fa320d8e"></a><!-- doxytag: member="KGraphInterface::load" ref="a3b49ca6ef5418039c0e4674fa320d8e" args="(const KURL &amp;url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void KGraphInterface::load           </td>
          <td>(</td>
          <td class="paramtype">const KURL &amp;&nbsp;</td>
          <td class="paramname"> <em>url</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Use this method to load whatever file/URL you have 
</div>
</div><p>
<a class="anchor" name="65cabf77a7b059f9811b5ab291db475a"></a><!-- doxytag: member="KGraphInterface::readProperties" ref="65cabf77a7b059f9811b5ab291db475a" args="(KConfig *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void KGraphInterface::readProperties           </td>
          <td>(</td>
          <td class="paramtype">KConfig *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This method is called when this app is restored. The KConfig object points to the session management config file that was saved with <a class="el" href="classKGraphInterface.html#76182cd4faa12c4142979e6c773483de">saveProperties</a> 
</div>
</div><p>
<a class="anchor" name="76182cd4faa12c4142979e6c773483de"></a><!-- doxytag: member="KGraphInterface::saveProperties" ref="76182cd4faa12c4142979e6c773483de" args="(KConfig *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void KGraphInterface::saveProperties           </td>
          <td>(</td>
          <td class="paramtype">KConfig *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This method is called when it is time for the app to save its properties for session management purposes. 
</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li>kgraphinterface/src/<a class="el" href="kgraphinterface_8h-source.html">kgraphinterface.h</a><li>kgraphinterface/src/kgraphinterface.cpp</ul>
<hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:39 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
